## org.jvnet.hudson.reactor
Interface Executable

All Known Subinterfaces:
  Task

    public interface Executable

Represents code that can be executed.

Author:
  Kohsuke Kawaguchi

Field Summary
`static Executable` `NOOP` No-op implementation.

Method Summary
`void` `run(Reactor reactor)` Executes a task.

Field Detail

### NOOP

    static final Executable NOOP

  No-op implementation.

Method Detail

### run

    void run(Reactor reactor)
             throws java.lang.Exception

  Executes a task. Any exception thrown will abort the session.

  Parameters:
    `reactor` -
  Throws:
    `java.lang.Exception`

Copyright © 2011. All Rights Reserved.